// for all your modding needs
function isGamemodeAddonEnabled(%addon)
{
	if($GamemodeArg $= "Add-ons/Gamemode_Custom/gamemode.txt")
	{
		warn("WARNING: You can't use this function in Gamemode_Custom!");
		return 0;
	}
	if(!isValidAddon(%addon))
	{
		error("ERROR: isGamemodeAddonEnabled() - invalid addon specified (" @ %addon @ ")");
		return 0;
	}
	for(%i = 0; %i < $Gamemode::AddonCount; %i++)
	{
		if($Gamemode::Addon[%i] $= %addon)
			return 1;
	}
	return 0;
}