//1.6.4

//i could just use $ADDONLOADED__ but it only works when the addons are loaded
exec("./Support_isGamemodeAddonEnabled.cs");

$NPC_Version = "1.6.4";
function serverCMDNPCV(%c)
{
	messageClient(%c, '', "\c5This server is running \cp\c3Server_NewPaintCan\co version number\c6:" SPC $NPC_Version);
}
function serverCMDNPCVersion(%c)
{
	messageClient(%c, '', "\c5This server is running \cp\c3Server_NewPaintCan\co version number\c6:" SPC $NPC_Version);
}
function serverCMDNewPaintCanVersion(%c)
{
	messageClient(%c, '', "\c5This server is running \cp\c3Server_NewPaintCan\co version number\c6:" SPC $NPC_Version);
}

function npce(){exec("./server.cs");}

//forces package order (so undo doesnt break)
if($ADDON__Tool_NewDuplicator >= 1 || isGamemodeAddonEnabled("Tool_NewDuplicator"))
	forceRequiredAddon("Tool_NewDuplicator");

//prevents infinite loading when loading addons in game-modes
function NPC_setPrefs()
{
	if(isFile("Add-ons/System_ReturnToBlockland/server.cs") || isFile("Add-ons/System_BlocklandGlass") || isFile("Add-ons/System_BlocklandGlass.zip"))
	{
		RTB_registerPref("Max Range (Player)", "New Paint Can | General", "$Pref::Server::NewPaintCan::PlayerRange", "int 6 1000", "Server_NewPaintCan", 7, 0, 0);
		RTB_registerPref("Max Range (Admin)", "New Paint Can | General", "$Pref::Server::NewPaintCan::AdminRange", "int 6 1000", "Server_NewPaintCan", 250, 0, 0);
		RTB_registerPref("Ingore Raycasting?", "New Paint Can | General", "$Pref::Server::NewPaintCan::IgnoreRaycasting", "bool", "Server_NewPaintCan", 0, 0, 0);
		RTB_registerPref("Painting in Admin Orb?", "New Paint Can | General", "$Pref::Server::NewPaintCan::AdminOrbPainting", "bool", "Server_NewPaintCan", 1, 0, 0);
		RTB_registerPref("Default to Paint mode on unequip?", "New Paint Can | General", "$Pref::Server::NewPaintCan::DefaultToPaint", "bool", "Server_NewPaintCan", 1, 0, 0);
		RTB_registerPref("Show hidden bricks?", "New Paint Can | General", "$Pref::Server::NewPaintCan::ShowBricks", "bool", "Server_NewPaintCan", 1, 0, 0);
		RTB_registerPref("Color picking?", "New Paint Can | Color Pick", "$Pref::Server::NewPaintCan::ColorPick", "bool", "Server_NewPaintCan", 1, 0, 0);
		RTB_registerPref("Color pick range", "New Paint Can | Color Pick", "$Pref::Server::NewPaintCan::ColorPick::Range", "int 7 500", "Server_NewPaintCan", 7, 0, 0);
		RTB_registerPref("Admin Only?", "New Paint Can | Fill Can", "$Pref::Server::NewPaintCan::FillCan::AdminOnly", "bool", "Server_NewPaintCan", 1, 0, 0);
		RTB_registerPref("Max Bricks (Player)", "New Paint Can | Fill Can", "$Pref::Server::NewPaintCan::FillCan::PlayerMaxBricks", "int 50 500000", "Server_NewPaintCan", 500, 0, 0);
		RTB_registerPref("Max Bricks (Admin)", "New Paint Can | Fill Can", "$Pref::Server::NewPaintCan::Fillcan::AdminMaxBricks", "int 50 500000", "Server_NewPaintCan", 100000, 0, 0);
		RTB_registerPref("Admin Only?", "New Paint Can | Brush", "$Pref::Server::NewPaintCan::Brush::AdminOnly", "bool", "Server_NewPaintCan", 1, 0, 0);
		RTB_registerPref("Max Brush Size (Player)", "New Paint Can | Brush", "$Pref::Server::NewPaintCan::Brush::PlayerMaxSize", "int 2 20", "Server_NewPaintCan", 8, 0, 0);
		RTB_registerPref("Max Brush Size (Admin)", "New Paint Can | Brush", "$Pref::Server::NewPaintCan::Brush::AdminMaxSize", "int 2 20", "Server_NewPaintCan", 16, 0, 0);
	}
	else
	{
		warn("WARNING: NewPaintCan/server.cs: Blockland Glass or Return to Blockland has not been found! Creating prefs manually...");
		if($Pref::Server::NewPaintCan::AdminRange $= "")
			$Pref::Server::NewPaintCan::AdminRange = 250;
		if($Pref::Server::NewPaintCan::PlayerRange $= "")
			$Pref::Server::NewPaintCan::PlayerRange = 7;
		if($Pref::Server::NewPaintCan::AdminOrbPainting $= "")
			$Pref::Server::NewPaintCan::AdminOrbPainting = 1;
		if($Pref::Server::NewPaintCan::DefaultToPaint $= "")
			$Pref::Server::NewPaintCan::DefaultToPaint = 1;
		if($Pref::Server::NewPaintCan::ShowBricks $= "")
			$Pref::Server::NewPaintCan::ShowBricks = 1;
		if($Pref::Server::NewPaintCan::IgnoreRaycasting $= "")
			$Pref::Server::NewPaintCan::IgnoreRaycasting = 1;
		if($Pref::Server::NewPaintCan::ColorPick $= "")
			$Pref::Server::NewPaintCan::ColorPick = 1;
		if($Pref::Server::NewPaintCan::ColorPick::Range $= "")
			$Pref::Server::NewPaintCan::ColorPick::Range = 7;
		if($Pref::Server::NewPaintCan::FillCan::AdminOnly $= "")
			$Pref::Server::NewPaintCan::FillCan::AdminOnly = 1;
		if($Pref::Server::NewPaintCan::Fillcan::AdminMaxBricks $= "")
			$Pref::Server::NewPaintCan::Fillcan::AdminMaxBricks = 100000;
		if($Pref::Server::NewPaintCan::Fillcan::PlayerMaxBricks $= "")
			$Pref::Server::NewPaintCan::FillCan::PlayerMaxBricks = 500;
		if($Pref::Server::NewPaintCan::Brush::AdminOnly $= "")
			$Pref::Server::NewPaintCan::Brush::AdminOnly = 0;
		if($Pref::Server::NewPaintCan::Brush::AdminMaxBricks $= "")
			$Pref::Server::NewPaintCan::Brush::AdminMaxSize = 16;
		if($Pref::Server::NewPaintCan::Brush::PlayerMaxBricks $= "")
			$Pref::Server::NewPaintCan::Brush::PlayerMaxSize = 8;
	}
}
NPC_setPrefs();

//this part is to undo what Particle_FX_Cans does so we can redo it so that it works since we fucked with the lifetime of the real particles
//tl;dr: this is scheduled to fix emitters on bricks
function FXCanEmitterNameFix()
{
	blinkPaintEmitter.uiName = "";
	chromePaintEmitter.uiName = "";
	flatPaintEmitter.uiName = "";
	glowPaintEmitter.uiName = "";
	jelloPaintEmitter.uiName = "";
	pearlPaintEmitter.uiName = "";
	rainbowPaintEmitter.uiName = "";
	stablePaintEmitter.uiName = "";
	swirlPaintEmitter.uiName = "";
}

//get rid of all the paint can emitters
bluePaintParticle.lifeTimeVarianceMS = 0;
bluePaintParticle.lifeTimeMS = 0;
flatPaintParticle.lifeTimeVarianceMS = 0;
flatPaintParticle.lifeTimeMS = 0;
pearlPaintParticle.lifeTimeVarianceMS = 0;
pearlPaintParticle.lifeTimeMS = 0;
chromePaintParticle.lifeTimeVarianceMS = 0;
chromePaintParticle.lifeTimeMS = 0;
glowPaintParticle.lifeTimeVarianceMS = 0;
glowPaintParticle.lifeTimeMS = 0;
blinkPaintParticle.lifeTimeVarianceMS = 0;
blinkPaintParticle.lifeTimeMS = 0;
swirlPaintParticle.lifeTimeVarianceMS = 0;
swirlPaintParticle.lifeTimeMS = 0;
rainbowPaintParticle.lifeTimeVarianceMS = 0;
rainbowPaintParticle.lifeTimeMS = 0;
stablePaintParticle.lifeTimeVarianceMS = 0;
stablePaintParticle.lifeTimeMS = 0;
jelloPaintParticle.lifeTimeVarianceMS = 0;
jelloPaintParticle.lifeTimeMS = 0;

if($ADDON__Particle_FX_Cans >= 1 || isGamemodeAddonEnabled("Particle_FX_Cans"))
{
	//to fix load order
	schedule(0, 0, fxCanEmitterNameFix);
	exec("./Particle_FX Cans.cs");
}

// to determine when we are using fx cans
$NPC_PaintFX["flatSprayCanImage"] = 1;
$NPC_PaintFX["pearlSprayCanImage"] = 1;
$NPC_PaintFX["chromeSprayCanImage"] = 1;
$NPC_PaintFX["glowSprayCanImage"] = 1;
$NPC_PaintFX["blinkSprayCanImage"] = 1;
$NPC_PaintFX["swirlSprayCanImage"] = 1;
$NPC_PaintFX["rainbowSprayCanImage"] = 1;
$NPC_PaintFX["stableSprayCanImage"] = 1;
$NPC_PaintFX["jelloSprayCanImage"] = 1;

//all of these have NPC by them so we dont overwrite pre-existing functions
function NPC_rgbToHex(%rgb)
{
	 %r = NPC_compToHex(255 * getWord(%rgb,0));
	 %g = NPC_compToHex(255 * getWord(%rgb,1));
	 %b = NPC_compToHex(255 * getWord(%rgb,2));
	 return %r @ %g @ %b;
}
 
function NPC_compToHex(%comp)
{
	 %left = mFloor(%comp / 16);
	 %comp = mFloor(%comp - %left * 16);
	 %left = getSubStr("0123456789ABCDEF",%left,1);
	 %comp = getSubStr("0123456789ABCDEF",%comp,1);
	 return %left @ %comp;
}

function NPC_getColorCategory(%colorID)
{
	%colorset = $GameModeArg $= "Add-Ons/GameMode_Custom/gamemode.txt" || $GameModeArg $= "" ? "config/server/colorset.txt" : filePath($GameModeArg) @ "/colorset.txt";
	if(!isFile(%colorset))
		return;
	%file = new fileObject();
	%file.openForRead(%colorset);
	%currColor = 0;
	%returnColor = 1;
	while(!%file.isEOF())
	{
		%line = %file.readLine();
		if(%line $= "")
			continue;
		if(%currColor == %colorID)
			%found = true;
		if(getSubStr(%line, 0, 4) $= "DIV:")
		{
			%currCat = trim(getSubStr(%line, 4, strLen(%line) - 4));
			if(%found)
				break;
			%returnColor = 1;
			continue;
		}
		%currColor++;
		if(!%found)
			%returnColor++;
	}
	%file.delete();
	if(!%found)
		return -1;
	return %currCat TAB %returnColor;
}

//in with the new!
//stuff for laser (thanks port)
if(!isObject(NewBrickToolTrailShape))
{
	datablock StaticShapeData(NewPaintCanTrailShape)
	{
		shapeFile = "./cylinder_glow.dts";
	};
	$spraycanLaserShape = NewPaintCanTrailShape;
}
else
	$spraycanLaserShape = NewBrickToolTrailShape;

function gameConnection::NPC_displayHUD(%this)
{
	cancel(%this.NPC_hudSch);
	if(!isObject(%p = %this.player) || %p.getState() $= "Dead")
	{
		clearBottomPrint(%this);
		return;
	}
	if(!%p.getMountedImage(0))
	{
		clearBottomPrint(%this);
		return;
	}
	switch(%this.NPC_Mode)
	{
		case 0:
			%mode = "Paint";
		case 1:
			%mode = "Fill";
		case 2:
			%mode = "Brush";
	}
	if(%this.NPC_Mode == 1 && $Pref::Server::NewPaintCan::FillCan::AdminOnly && !%this.isAdmin)
		%process = "\c0[ERROR]\c6 Fillcan is admin only.";
	else if(%this.NPC_Mode == 2 && $Pref::Server::NewPaintCan::Brush::AdminOnly && !%this.isAdmin)
		%process = "\c0[ERROR]\c6 Brush is admin only.";
	else
		%process = %this.NPC_currProcess;
	%title = "<font:arial bold:25>\c6Paintcan Mode";
	%modetext = "<font:arial:16.5>\c6Mode:\c3" SPC %mode SPC "\c6[Prev Seat]<just:right>\c6" @ %process;
	%undulomodetext = "<just:left>\c6Undulo Mode:\c3" SPC (%this.NPC_unduloMode == 0 ? "Undulo" : "Water") SPC "\c6[Next Seat]";
	%selectcolortext = $Pref::Server::NewPaintCan::ColorPick ? "\c6Colorpick:<color:" @ NPC_rgbtohex(getWords(getColorIDTable(%this.NPC_pickedcolor), 0, 2)) @ ">" SPC "|||\c6 [Light]" : "";
	commandToClient(%this, 'BottomPrint', "<just:left>" @ %title NL %modetext NL %undulomodetext NL %selectcolortext, 0, true);
	%this.NPC_hudSch = %this.scheduleNoQuota(100, NPC_DisplayHud);
}

function Player::paintLaserRepeat(%this)
{
	%img = %this.getMountedImage(0);
	if(!isObject(%img))
		return;
	if(%this.getState() $= "Dead" || %img.item !$= "SprayCan" && %img.getName() !$= ("color" @ %obj.client.currentColor @ "SprayCanImage"))
	{
		if($NPC_PaintFX[%img.getname()] $= "")
		{
			%shape = %this.paintLaserShape;
			if(isObject(%shape))
			{
				%shape.delete();
				%this.paintLaserShape = "";
			}
			return;
		}
	}
	NPC_FireLaser(%this, 1);
	%this.paintLaserRepeat = %this.schedule(32, paintLaserRepeat);
}

function StaticShape::NPC_disarmLaser(%this)
{
	%this.repeat = "";
	%this.NPC_fadeLaser(%this.startPos, %this.endPos, %this.color, 1);
}

function StaticShape::NPC_fadeLaser(%this, %startPos, %endPos, %color, %alpha)
{
	if(%alpha <= 0)
	{
		%this.delete();
		return;
	}
	%size = 0.05 + %alpha * 0.075;
	%vector = vectorNormalize(vectorSub(%endPos, %startPos));
	%xyz = vectorNormalize(vectorCross("1 0 0", %vector));
	%u = mACos(vectorDot("1 0 0", %vector)) * -1;
	%this.setTransform(vectorScale(vectorAdd(%startPos, %endPos), 0.5) SPC %xyz SPC %u);
	%this.setScale(vectorDist(%startPos, %endPos) SPC %size SPC %size);
	%this.setNodeColor("ALL", %color SPC %alpha);
	if(%this.repeat)
	{
		%this.startPos = %startPos;
		%this.endPos = %endPos;
		%this.color = %color;
		return;
	}
	%this.schedule(25, "NPC_fadeLaser", %startPos, %endPos, %color, %alpha - 0.1);
}

//YOU CAN FIRE A LASER FAST! ITS EASY!
function NPC_FireLaser(%p, %repeat)
{
	if(!isObject(%c = %p.client))
		return;
	if(%c.NPC_isFillPaint)
		return;
	if(!isObject(%img = %p.getMountedImage(0)))
		return;
	if((%img.item $= "SprayCan" && %img.getName() $= ("color" @ %c.currentColor @ "SprayCanImage")) || $NPC_PaintFX[%img.getName()] !$= "")
	{
		%range = %c.isAdmin ? $Pref::Server::NewPaintCan::AdminRange : $Pref::Server::NewPaintCan::PlayerRange;
		if(%range < 6)
			%range = 6;
		%control = %c.getControlObject();
		if(%control.getClassName() $= "Camera" && $Pref::Server::NewPaintCan::AdminOrbPainting && !%control.isOrbitMode() && !%control.getControlObject())
		{
			%origin = %control.getEyePoint();
			%vector = vectorScale(%control.getEyeVector(), %range);
			%startPos = MatrixMulPoint(%control.getEyeTransform(), "0.4 0.5 -0.5");
		}
		else
		{
			%origin = %p.getEyePoint();
			%vector = vectorScale(%p.getmuzzleVector(0), %range);
			%startPos = %p.getmuzzlepoint(0);
		}
		%mask = $TypeMasks::TerrainObjectType | $TypeMasks::StaticShapeObjectType | $TypeMasks::VehicleObjectType | $TypeMasks::PlayerObjectType;
		if($Pref::Server::NewPaintCan::IgnoreRayCasting)
			%mask |= $TypeMasks::FxBrickAlwaysObjectType;
		else
			%mask |= $TypeMasks::FxBrickObjectType;
		%ray = containerRayCast(%origin, (%end = vectorAdd(%origin, %vector)), %mask, %control);
		if(%repeat)
		{
			%shape = %p.paintLaserShape;
			if(!isObject(%shape))
			{
				%shape = new StaticShape()
				{
					datablock = $spraycanLaserShape;
				};
				MissionCleanup.add(%shape);
				%p.paintLaserShape = %shape;
			}
		}
		else
		{
			%shape = new StaticShape()
			{
				datablock = $spraycanLaserShape;
			};
			missionCleanup.add(%shape);
		}
		%shape.repeat = %repeat;
		%endPos = !%ray ? %end : getWords(%ray, 1, 3);
		%img = %p.getMountedImage(0);
		if($NPC_PaintFX[%img.getName()] !$="" || %img.item $= "SprayCan" && %img.getName() $= ("color" @ %c.currentColor @ "SprayCanImage"))
			%paint = %p.getMountedImage(0).projectile;
		//set our laser color
		%color = %img.colorShiftColor;
		%target = firstWord(%ray);
		%shape.NPC_fadeLaser(%startPos, %endPos, %color, 1);
		if(!isObject(%target))
			return;
		%explosion = new projectile()
		{
			dataBlock = %paint;
			initialVelocity = %p.getEyeVector();
			initialPosition = %endPos;
			sourceObject = %p;
			sourceSlot = 0; //idk what the slot is
			client = %c;
		};
		missioncleanup.add(%explosion);
		%explosion.explode();
		NPC_doPaint(%target, %endPos, %c, %c.NPC_Mode);
	}
}

//actually painting stuff now (including fx)
function NPC_doPaint(%target, %hitloc, %c, %mode)
{
	if(%mode > 2 || %mode < 0)
		%mode = 0;
	if(!isObject(%c))
		return;
	if(%mode == 0) //reg paint
	{
		if(%c.player.currSprayCan >= 0 && %c.player.currFXCan <= -1) // paint
		{
			switch$(%target.getClassname())
			{
				case "Player" or "AIPlayer":
					if(%target.getDatablock().paintable)
					{
						if(!isObject(%target.spawnBrick))
							return;
						if(getTrustLevel(%c, %target) < $TrustLevel::Paint)
						{
							%c.sendTrustFailureMessage(%target.spawnBrick.getGroup());
							return;
						}
						if(%target.spawnBrick.reColorVehicle)
							return;
						if(isObject(%target.client))
							return;
						%color = getColorIDTable(%c.currentColor);
						%rgba = getWords(%color, 0, 2) SPC 1;
						if(%target.color $= "")
							%target.color = "1 1 1 1";
						if(%rgba !$= %target.color)
							%c.undoStack.push(%target TAB "COLORGENERIC" TAB %target.color);
						%target.setNodeColor("ALL", %rgba);
						%target.color = %rgba;
					}
					else
					{
						%color = getColorIDTable(%c.currentColor);
						%rgba = getWords(%color, 0, 2) SPC 1;
						if(%target.color $= "")
							%target.color = "1 1 1 1";
						%target.setTempColor(%rgba, 2000, %hitloc, nameToID("color" @ %c.currentcolor @ "PaintProjectile")); //this function doesnt actually need a projectile id, its just there for the effect. lol
					}
				case "fxDTSBrick":
					if(getTrustLevel(%c, %target) < $TrustLevel::Paint)
					{
						%c.sendTrustFailureMessage(%target.getGroup());
						return;
					}
					if(%target.getColorID() != %c.currentColor)
					{
						%c.undoStack.push(%target TAB "COLOR" TAB %target.getColorID());
						%target.setColor(%c.currentColor);
						if(isObject(%target.Vehicle))
							if(%target.recolorVehicle)
								%target.colorVehicle();
					}
				case "WheeledVehicle" or "HoverVehicle" or "FlyingVehicle":
					if(!isObject(%target.spawnBrick))
						return;
					if(%target.spawnBrick.reColorVehicle)
						return;
					if(!%target.getDataBlock().paintable)
						return;
					if(%target.getDamagePercent() >= 1.0)
						return;
					if(getTrustLevel(%c, %target) < $TrustLevel::Paint)
					{
						%c.sendTrustFailureMessage(%target.spawnBrick.getGroup());
						return;
					}
					%color = getColorIDTable(%c.currentColor);
					%rgba = getWords(%color, 0, 2) SPC 1;
					if(%target.color $= "")
						%target.color = "1 1 1 1";
					if(%rgba !$= %target.color)
						%c.undoStack.push(%target TAB "COLORGENERIC" TAB %target.color);
					%target.setNodeColor("ALL", %rgba);
					%target.color = %rgba;
			}
		}
		else if(%c.player.currFXCan != -1 && %c.player.currSprayCan <= -1) // fx
		{
			if(%target.getClassName() !$= "fxDTSBrick")
				return;
			switch(%c.player.currFXCan)
			{
				case 0: //flat
					if(%target.getcolorFXID() != 0)
					{
						%bg = %target.getGroup();
						if(%c.brickgroup != %bg)
						{
							%trustLevel = %bg.Trust[%c.getBLID()];
							if(%trustLevel < $TrustLevel::FXPaint)
							{
								%c.sendTrustFailureMessage(%bg);
								return;
							}
						}
						%c.undoStack.push(%target TAB "COLORFX" TAB %target.getColorFxID());
						%target.setColorFX(0);
					}
				case 1: //pearl
					if(%target.getcolorFXID() != 1)
					{
						%bg = %target.getGroup();
						if(%c.brickgroup != %bg)
						{
							%trustLevel = %bg.Trust[%c.getBLID()];
							if(%trustLevel < $TrustLevel::FXPaint)
							{
								%c.sendTrustFailureMessage(%bg);
								return;
							}
						}
						%c.undoStack.push(%target TAB "COLORFX" TAB %target.getColorFxID());
						%target.setColorFX(1);
					}
				case 2: //chrome
					if(%target.getcolorFXID() != 2)
					{
						%bg = %target.getGroup();
						if(%c.brickgroup != %bg)
						{
							%trustLevel = %bg.Trust[%c.getBLID()];
							if(%trustLevel < $TrustLevel::FXPaint)
							{
								%c.sendTrustFailureMessage(%bg);
								return;
							}
						}
						%c.undoStack.push(%target TAB "COLORFX" TAB %target.getColorFxID());
						%target.setColorFX(2);
					}
				case 3: //glow
					if(%target.getcolorFXID() != 3)
					{
						%bg = %target.getGroup();
						if(%c.brickgroup != %bg)
						{
							%trustLevel = %bg.Trust[%c.getBLID()];
							if(%trustLevel < $TrustLevel::FXPaint)
							{
								%c.sendTrustFailureMessage(%bg);
								return;
							}
						}
						%c.undoStack.push(%target TAB "COLORFX" TAB %target.getColorFxID());
						%target.setColorFX(3);
					}
				case 4: //blink
					if(%target.getcolorFXID() != 4)
					{
						%bg = %target.getGroup();
						if(%c.brickgroup != %bg)
						{
							%trustLevel = %bg.Trust[%c.getBLID()];
							if(%trustLevel < $TrustLevel::FXPaint)
							{
								%c.sendTrustFailureMessage(%bg);
								return;
							}
						}
						%c.undoStack.push(%target TAB "COLORFX" TAB %target.getColorFxID());
						%target.setColorFX(4);
					}
				case 5: //swirl
					if(%target.getcolorFXID() != 5)
					{
						%bg = %target.getGroup();
						if(%c.brickgroup != %bg)
						{
							%trustLevel = %bg.Trust[%c.getBLID()];
							if(%trustLevel < $TrustLevel::FXPaint)
							{
								%c.sendTrustFailureMessage(%bg);
								return;
							}
						}
						%c.undoStack.push(%target TAB "COLORFX" TAB %target.getColorFxID());
						%target.setColorFX(5);
					}
				case 6: //rainbow
					if(%target.getcolorFXID() != 6)
					{
						%bg = %target.getGroup();
						if(%c.brickgroup != %bg)
						{
							%trustLevel = %bg.Trust[%c.getBLID()];
							if(%trustLevel < $TrustLevel::FXPaint)
							{
								%c.sendTrustFailureMessage(%bg);
								return;
							}
						}
						%c.undoStack.push(%target TAB "COLORFX" TAB %target.getColorFxID());
						%target.setColorFX(6);
					}
				case 7: //stable
					if(%target.getShapeFXID() != 0)
					{
						%bg = %target.getGroup();
						if(%c.brickgroup != %bg)
						{
							%trustLevel = %bg.Trust[%c.getBLID()];
							if(%trustLevel < $TrustLevel::FXPaint)
							{
								%c.sendTrustFailureMessage(%bg);
								return;
							}
						}
						%c.undoStack.push(%target TAB "SHAPEFX" TAB %target.getShapeFxID());
						%target.setShapeFX(0);
					}
				case 8: //undulo and water
					if(%c.NPC_unduloMode <= 0)
					{
						if(%target.getShapeFXID() != 1)
						{
							%bg = %target.getGroup();
							if(%c.brickgroup != %bg)
							{
								%trustLevel = %bg.Trust[%c.getBLID()];
								if(%trustLevel < $TrustLevel::FXPaint)
								{
									%c.sendTrustFailureMessage(%bg);
									return;
								}
							}
							%c.undoStack.push(%target TAB "SHAPEFX" TAB %target.getShapeFxID());
							%target.setShapeFX(1);
						}
					}
					else
					{
						if(%target.getShapeFXID() != 2)
						{
							%bg = %target.getGroup();
							if(%c.brickgroup != %bg)
							{
								%trustLevel = %bg.Trust[%c.getBLID()];
								if(%trustLevel < $TrustLevel::FXPaint)
								{
									%c.sendTrustFailureMessage(%bg);
									return;
								}
							}
							%c.undoStack.push(%target TAB "SHAPEFX" TAB %target.getShapeFxID());
							%target.setShapeFX(2);
						}
					}
			}
		}
	}
	else if(%mode == 1) //fill can
	{
		if(%target.getClassName() !$= "fxDTSBrick")
			return;
		if(getTrustLevel(%c, %target) >= 2)
		{
			if($Pref::Server::NewPaintCan::FillCan::AdminOnly && !%c.isAdmin)
				return;
			if(%c.player.currSprayCan > -1 && %c.player.currFXCan <= -1)
			{
				%type = 1;
				%color = %c.currentColor;
			}
			else if(%c.player.currFXCan > -1 && %c.player.currSprayCan <= -1 && %c.player.currFXCan < 7)
			{
				%type = 2;
				%color = %c.player.currFXCan;
			}
			else if(%c.player.currFXCan >= 7)
			{
				%type = 3;
				if(%c.player.currFXCan == 8)
				{
					if(%c.NPC_unduloMode == 0)
						%color = 1;
					else
						%color = 2;
				}
				else
					%color = 0;
			}
			NPC_initScan(%c, %type, %mode, %target, %color);
		}
		else
		{
			%c.sendTrustFailureMessage(%target.getGroup());
			return;
		}
	}
	else if(%mode == 2) //brush
	{
		if(%target.getClassName() !$= "fxDTSBrick")
			return;
		if(getTrustLevel(%c, %target) >= 2)
		{
			if($Pref::Server::NewPaintCan::Brush::AdminOnly && !%c.isAdmin)
				return;
			%limit = %c.isAdmin ? $Pref::Server::NewPaintCan::Brush::AdminMaxSize : $Pref::Server::NewPaintCan::Brush::PlayerMaxSize;
			if(%c.NPC_BrushSize < 2)
			{
				%c.play2D("ErrorSound");
				%c.centerPrint("ERROR\c6: brush size is out of bounds! (" @ %c.NPC_BrushSize @ ")", 3);
				return;
			}
			else if(%c.NPC_BrushSize > %limit)
			{
				%c.play2D("ErrorSound");
				%c.centerPrint("ERROR\c6: brush size is out of bounds! (" @ %c.NPC_BrushSize @ ")", 3);
				return;
			}
			if(%c.player.currSprayCan > -1 && %c.player.currFXCan <= -1)
			{
				%type = 1;
				%color = %c.currentColor;
			}
			else if(%c.player.currFXCan > -1 && %c.player.currSprayCan <= -1 && %c.player.currFXCan < 7)
			{
				%type = 2;
				%color = %c.player.currFXCan;
			}
			else if(%c.player.currFXCan >= 7)
			{
				%type = 3;
				if(%c.player.currFXCan == 8)
				{
					if(%c.NPC_unduloMode == 0)
						%color = 1;
					else
						%color = 2;
				}
				else
					%color = 0;
			}
			NPC_initScan(%c, %type, %mode, %target, %color);
		}
		else
		{
			%c.sendTrustFailureMessage(%target.getGroup());
			return;
		}
	}
}

//thanks McTwist (9845) for the fill can functions, greatly appreciated
function NPC_initScan(%c, %type, %mode, %target, %color)
{
	if(isEventPending(%c.NPC_scanSch))
		return;
	if(%target.getClassName() !$= "fxDTSBrick")
		return;
	if(%type == 1)
		%oldcolor = %target.getColorID();
	else if(%type == 2)
		%oldcolor = %target.getColorFXID();
	else
		%oldcolor = %target.getShapeFXID();
	if(%oldColor == %color)
		return;
	%list = %c.NPC_fillpaintlist = new ScriptObject()
	{
		class = NPCUndoStack;
		type = %type;
		include = %type >= 2 ? %target.getColorID() : "";
		count = 0;
		oldColor = %oldColor;
		newColor = %color;
	};
	missionCleanup.add(%c.NPC_fillpaintlist);
	$NPCTemp::fill[%list, %target] = 1;
	%list.brick[%list.count++ - 1] = %target;
	%c.NPC_isFillPaint = 1;
	if(%mode < 2)
		%c.NPC_fillScanSch = scheduleNoQuota(33, 0, NPC_doFillScan, %c, %list, 0);
	else
		%c.NPC_brushScanSch = scheduleNoQuota(33, 0, NPC_doBrushScan, %c, %list, %c.NPC_BrushSize, 0);
}

function NPC_doFillScan(%c, %list, %x)
{
	if(isEventPending(%c.NPC_fillScanSch))
		return;
	%c.NPC_currProcess = "Gathering adjacent bricks..." SPC %x;
	%limit = %c.isAdmin ? $Pref::Server::NewPaintCan::Fillcan::AdminMaxBricks : $Pref::Server::NewPaintCan::FillCan::PlayerMaxBricks;
	for(%endx = %x + 50; %x < %list.count; %x++)
	{
		if(%x>= %endx)
		{
			%c.NPC_fillScanSch = scheduleNoQuota(33, 0, NPC_doFillScan, %c, %list, %x);
			return;
		}
		%obj = %list.brick[%x];
		if(!isObject(%obj))
			continue;
		%data = %obj.getdatablock();
		%rot = mFloatLength(getWord(%obj.rotation, 3), 0);
		if(%rot == 90 || %rot == 270)
		{
			%sizeX = %data.bricksizeY;
			%sizeY = %data.bricksizeX;
		}
		else
		{
			%sizeX = %data.bricksizeX;
			%sizeY = %data.bricksizeY;
		}
		%sizeZ = %data.bricksizeZ;
		%box = (%sizeX * 0.5 + 0.6) SPC (%sizeY * 0.5 + 0.6) SPC (%sizeZ * 0.2 + 0.3);
		InitContainerBoxSearch(%obj.getposition(), %box, $typemasks::fxbrickobjecttype);
		while((%limit == 0 || %list.count < %limit) && %target = containerSearchNext())
		{
			if(!$NPCTemp::fill[%list, %target] &&
				%target.isplanted() &&
				(%list.type == 1 ? %target.getcolorid() : (%list.type == 2 ? %target.getColorFXID() : %target.getShapeFXID())) == %list.oldcolor &&
				gettrustlevel(%c, %target) >= 2
			)
			{
				if(%list.include !$= "" && %list.include != %target.getColorID())
					continue;
				$NPCTemp::fill[%list, %target] = 1;
				%list.brick[%list.count++ - 1] = %target;
			}
		}
	}
	if(%list.count >= %limit)
	{
		%c.NPC_paintSch = scheduleNoQuota(0, 0, NPC_doFillPaint, %c, %list, 0);
		messageclient(%c, 'MsgPlantError_Limit');
		centerprint(%c, "\c3Reached Fill Can Brick Limit (" @ %limit @ ")", 2, 3);
		%c.NPC_isFillPaint = 0;
		%c.NPC.currProcess = "";
		return;
	}
	deleteVariables("$NPCTemp::fill" @ %list @ "_*");
	if(%x > 500)
		%c.NPC_currProcess = "";
	%c.NPC_paintSch = scheduleNoQuota(0, 0, NPC_doFillPaint, %c, %list, 0);
}

//thanks irrel(12953) for helping me edit this a bit
function NPC_doBrushScan(%c, %list, %size, %x)
{
	if(isEventPending(%c.NPC_brushScanSch))
		return;
	%c.NPC_currProcess = "Gathering adjacent bricks..." SPC %x;
	%obj = %list.brick[0];
	if(!isObject(%obj))
		return;
	%data = %obj.getdatablock();
	%radius = (%size * 0.5 + 0.6) SPC (%size * 0.5 + 0.6) SPC (%size * 0.5 + 0.6);
	%max = %x + 200;
	InitContainerRadiusSearch(%obj.getposition(), %radius, $typemasks::fxbrickobjecttype);
	while(%target = containerSearchNext())
	{
		if(!$NPCTemp::fill[%list, %target] &&
		%target.isplanted() &&
		(%list.type == 1 ? %target.getcolorid() : (%list.type == 2 ? %target.getColorFXID() : %target.getShapeFXID())) == %list.oldcolor &&
		gettrustlevel(%c, %target) >= 2
		)
		{
			if(%list.include !$= "" && %list.include != %target.getColorID())
				continue;
			$NPCTemp::fill[%list, %target] = 1;
			%list.brick[%list.count++ - 1] = %target;
			%x++;
			if(%x > %max)
			{
				%c.NPC_brushScanSch = scheduleNoQuota(33, 0, NPC_doBrushScan, %c, %list, %size, %x);
				return;
			}
		}
	}
	deleteVariables("$NPCTemp::fill" @ %list @ "_*");
	if(%x > 500)
		%c.NPC_currProcess = "";
	%c.NPC_paintSch = scheduleNoQuota(0, 0, NPC_doFillPaint, %c, %list, 0);
}

function NPC_doFillPaint(%c, %list, %x)
{
	if(isEventPending(%c.NPC_paintSch))
		return;
	for(%endx = %x + 400; %x < %list.count; %x++)
	{
		if(%x >= %endx)
		{
			%c.NPC_paintSch = scheduleNoQuota(33, 0, NPC_doFillPaint, %c, %list, %x);
			return;
		}
		%brick = %list.brick[%x];
		if(!isObject(%brick))
			continue;
		if(%list.type == 1)
			%brick.setColor(%list.newcolor);
		else if(%list.type == 2)
			%brick.setColorFX(%list.newcolor);
		else
			%brick.setShapeFX(%list.newColor);
		$npctemp[%c @ "::fillcount"]++;
		%c.NPC_currProcess = "\c3Filling bricks... \c7[\c6" @ mFloor($npctemp[%c @ "::fillcount"] / %list.count * 100) @ "% completed\c7]";
	}
	%c.NPC_currProcess = "";
	%c.NPC_paintSch = "";
	%c.NPC_isFillPaint = 0;
	deletevariables("$npctemp" @ %c @ "::fillcount");
	%c.undoStack.push(%list TAB "PAINTFILL");
}

function NPC_cancelSchedules(%c)
{
	if(isEventPending(%c.NPC_fillScanSch))
	{
		cancel(%c.NPC_fillScanSch);
		%c.NPC_fillScanSch = "";
	}
	if(isEventPending(%c.NPC_brushScanSch))
	{
		cancel(%c.NPC_brushScanSch);
		%c.NPC_brushScanSch = "";
	}
	if(isEventPending(%c.NPC_paintSch))
	{
		cancel(%c.NPC_paintSch);
		%c.NPC_paintSch = "";
		if(isObject(%c.NPC_fillpaintlist))
		{
			%c.undoStack.push(%c.npc_fillpaintlist TAB "PAINTFILL");
			%c.NPC_currProcess = "";
			if(%c.NPC_isFillPaint)
			{
				%c.NPC_isFillPaint = 0;
				messageClient(%c, '', "\c7[\c5NPC\c7] \c6Cancelled fillpaint... Press undo to fix changes.");
			}
			return;
		}
	}
	if(%c.NPC_isFillPaint)
	{
		%c.NPC_isFillPaint = 0;
		messageClient(%c, '', "\c7[\c5NPC\c7] \c6Cancelled scan...");
	}
	deleteVariables("$NPCTemp::fill" @ %c.NPC_fillpaintlist @ "_*");
	%c.NPC_currProcess = "";
}

function NPCUndoStack::Undo(%this, %client)
{
	cancel(%client.NPC_undoSch);
	//put it under its own undo variable since less bugs are produced (?)
	%client.NPC_isUndo = 1;
	if(%this.count $= "")
	{
		error("ERROR: NPCUndoStack::undo() - there are no bricks to undo...");
		%client.NPC_isUndo = 0;
		return;
	}
	if(%this.oldcolor $= "")
	{
		error("ERROR: NPCUndoStack::undo() - no old color specified in list...");
		%client.NPC_isUndo = 0;
		return;
	}
	if(%this.newcolor $= "")
	{
		error("ERROR: NPCUndoStack::undo() - no new color specified in list...");
		%client.NPC_isUndo = 0;
		return;
	}
	%brick = %this.brick[%this.count--];
	if(!isObject(%brick))
		warn("WARNING: NPCUndoStack::undo() - brick not found! (" @ %brick @ ")");
	if($npctemp[%client @ "::undocount"] $= "")
		$npctemp[%client @ "::undocount"] = %this.count;
	%client.NPC_currProcess = "\c3Undoing fillpaint... \c7[\c6" @ mFloor(($npctemp[%client @ "::undocount"] - %this.count) / $npctemp[%client @ "::undocount"] * 100) @ "% completed\c7]";
	if(%this.type == 1 && %brick.getColorID() == %this.newcolor)
		%brick.setColor(%this.oldColor);
	else if(%this.type == 2 && %brick.getColorFXID() == %this.newcolor)
		%brick.setColorFX(%this.oldColor);
	else if(%this.type == 3 && %brick.getShapeFXID() == %this.newcolor)
		%brick.setShapeFX(%this.oldColor);
	if(%this.count <= 0)
	{
		%client.NPC_isUndo = 0;
		deletevariables("$npctemp" @ %client @ "::*");
		%client.NPC_undoSch = "";
		%client.NPC_currProcess = "";
		%this.delete();
	}
	else
		%client.NPC_undoSch = %this.schedule(0.8, Undo, %client);
}

//of course none of this is possible without packaging default stuff
package NewPaintCan
{
	//prevent paintcans from ejecting projectiles
	function WeaponImage::onFire(%this, %obj, %slot)
	{
		%img = %obj.getMountedImage(0);
		if(%img.item $= "SprayCan" && %img.getName() $= ("color" @ %obj.client.currentColor @ "SprayCanImage") || $NPC_PaintFX[%img.getName()] !$= "")
			return;
		else
			return Parent::onFire(%this, %obj, %slot);
	}

	//package light command to change modes
	function serverCMDLight(%c)
	{
		if(isObject(%p = %c.Player))
		{
			%img = %p.getMountedImage(0);
			if(!isObject(%img))
			{
				Parent::serverCMDLight(%c);
				return;
			}
			if(%img.item $= "SprayCan" && %img.getName() $= ("color" @ %c.currentColor @ "SprayCanImage") || $NPC_PaintFX[%img.getName()] !$= "")
			{
				if(!$Pref::Server::NewPaintCan::ColorPick)
				{
					Parent::serverCMDLight(%c);
					return;
				}
				if(%c.NPC_isFillPaint)
				{
					Parent::serverCMDLight(%c);
					return;
				}
				if(isObject(%m = %c.minigame) && !%m.enablePainting)
				{
					Parent::serverCMDLight(%c);
					return;
				}
				%start = %p.getEyePoint();
				%end = vectorScale(%p.getEyeVector(), $Pref::Server::NewPaintCan::ColorPick::Range);
				%rayCast = containerRayCast(%start, vectorAdd(%start, %end), $TypeMasks::FxBrickAlwaysObjectType, %p);
				%target = firstWord(%rayCast);
				if(!isObject(%target))
				{
					Parent::serverCMDLight(%c);
					return;
				}
				if(%p.currFXCan > -1 && %p.currSprayCan == -1)
				{
					Parent::serverCMDLight(%c);
					return;
				}
				if(%target.getClassName() $= "fxDTSBrick")
				{
					if(%c.currentColor != %target.getColorID())
					{
						serverCMDuseSprayCan(%c, %target.getColorID());
						%c.NPC_pickedcolor = %target.getColorID();
						messageClient(%c, 'MsgAdminForce', "\c5Picked color\c6:<color:" @ NPC_rgbtohex(getWords(getColorIDTable(%target.getColorID()), 0, 2)) @ ">" SPC getField(NPC_getColorCategory(%target.getColorID()), 0) SPC "\c6-<color:" @ NPC_rgbtohex(getWords(getColorIDTable(%target.getColorID()), 0, 2)) @ ">" SPC getField(NPC_getColorCategory(%target.getColorID()), 1));
						return;
					}
					else
					{
						messageClient(%c, '', "\c5You already picked this color!");
						return;
					}
				}
				else
				{
					messageClient(%c, '', "\c5This is not a brick, you can't pick a color from this!");
					return;
				}
			}
		}
		Parent::serverCMDLight(%c);
	}

	function serverCMDNextSeat(%c)
	{
		if(isObject(%p = %c.Player))
		{
			%img = %p.getMountedImage(0);
			if(!isObject(%img))
			{
				Parent::serverCMDNextSeat(%c);
				return;
			}
			if(%img.item $= "SprayCan" && %img.getName() $= ("color" @ %c.currentColor @ "SprayCanImage") || $NPC_PaintFX[%img.getName()] !$= "")
			{
				if(%c.NPC_UnduloMode > 0)
					%c.NPC_UnduloMode = 0;
				else
					%c.NPC_Undulomode++;
				%p.playThread(2, "shiftLeft");
				%c.play2D("BrickChangeSound");
				if(!%c.NPC_isFillPaint)
					%c.NPC_currProcess = "";
				%c.NPC_displayHud();
			}
			else
				Parent::serverCMDNextSeat(%c);
		}
		else
			Parent::serverCMDNextSeat(%c);
	}

	function serverCMDPrevSeat(%c)
	{
		if(isObject(%p = %c.Player))
		{
			%img = %p.getMountedImage(0);
			if(!isObject(%img))
			{
				Parent::serverCMDPrevSeat(%c);
				return;
			}
			if(%img.item $= "SprayCan" && %img.getName() $= ("color" @ %c.currentColor @ "SprayCanImage") || $NPC_PaintFX[%img.getName()] !$= "")
			{
				if(%c.NPC_Mode > 1)
					%c.NPC_Mode = 0;
				else
					%c.NPC_mode++;
				%p.playThread(2, "shiftRight");
				%c.play2D("BrickChangeSound");
				if(!%c.NPC_isFillPaint)
					%c.NPC_currProcess = "";
				%c.NPC_displayHud();
			}
			else
				Parent::serverCMDPrevSeat(%c);
		}
		else
			Parent::serverCMDPrevSeat(%c);
	}

	//package undo for the fillcan portion
	function serverCMDundoBrick(%c)
	{
		if(%c.NPC_isUndo)
		{
			messageClient(%c, '', "\c7[\c5NPC\c7] \c6Please wait for the current undo task to finish.");
			return;
		}
		if(%c.NPC_isFillPaint)
		{
			NPC_cancelSchedules(%c);
			return;
		}
		//stolen from new dup to prevent shit from overlapping for whatever god forsaken reason
		%state = %c.undoStack.pop();
		%type = getField(%state, 1);
		if(%type $= "PAINTFILL")
		{
			%list = getField(%state, 0);
			%list.Undo(%c);
			if(isObject(%c.player))
				%c.player.playThread(3, undo);
			//if we dont do this, it'll just keep a confirm that you want to delete your last dup
			if($ADDON__Tool_NewDuplicator >= 1 || isGamemodeAddonEnabled("Tool_NewDuplicator") && %c.ndUndoConfirm !$= "" || %c.ndUndoConfirm != 0)
				%c.ndUndoConfirm = 0;
			return;
		}
		%c.undoStack.push(%state);
		Parent::serverCMDundobrick(%c);
	}

	function serverCMDShiftBrick(%c, %x, %y, %z)
	{
		if(isObject(%p = %c.Player))
		{
			if(!isObject(%img = %p.getMountedImage(0)))
			{
				Parent::serverCMDShiftBrick(%c, %x, %y, %z);
				return;
			}
			if(%z != 1 && %z != -1)
			{
				Parent::serverCMDShiftBrick(%c, %x, %y, %z);
				return;
			}
			if(%z != -1 && %z != 1)
			{
				Parent::serverCMDShiftBrick(%c, %x, %y, %z);
				return;
			}
			if(%c.NPC_Mode != 2)
			{
				Parent::serverCMDShiftBrick(%c, %x, %y, %z);
				return;
			}
			if($Pref::Server::NewPaintCan::Brush::AdminOnly && !%c.isAdmin)
			{
				Parent::serverCMDShiftBrick(%c, %x, %y, %z);
				return;
			}
			if(%img.item $= "SprayCan" && %img.getName() $= ("color" @ %c.currentColor @ "SprayCanImage") || $NPC_PaintFX[%img.getName()] !$= "")
			{
				%limit = %c.isAdmin ? $Pref::Server::NewPaintCan::Brush::AdminMaxSize : $Pref::Server::NewPaintCan::Brush::PlayerMaxSize;
				if(%z == 1 && %c.NPC_brushSize < %limit)
				{
					%c.NPC_BrushSize++;
					%p.playThread(2, "shiftUp");
				}
				else if(%z == -1 && %c.NPC_brushSize > 2)
				{
					%c.NPC_BrushSize--;
					%p.playThread(2, "shiftDown");
				}
				if(%c.NPC_BrushSize < 2)
				{
					%c.play2D("ErrorSound");
					%c.centerPrint("ERROR\c6: brush size is out of bounds! (" @ %c.NPC_BrushSize @ ")", 3);
					return;
				}
				else if(%c.NPC_BrushSize > %limit)
				{
					%c.play2D("ErrorSound");
					%c.centerPrint("ERROR\c6: brush size is out of bounds! (" @ %c.NPC_BrushSize @ ")", 3);
					return;
				}
				%c.centerPrint("\c5Brush size set to\c6:" SPC %c.NPC_BrushSize, 3);
				%c.play2D("BrickMoveSound");
				if(!%c.NPC_isFillPaint)
					%c.NPC_currProcess = "";
				%c.NPC_displayHud();
			}
			else
				Parent::serverCMDShiftBrick(%c, %x, %y, %z);
		}
		else
			Parent::serverCMDShiftBrick(%c, %x, %y, %z);
	}

	function serverCMDCancelBrick(%client)
	{
		Parent::serverCMDCancelBrick(%client);
		if(%client.NPC_isFillPaint)
		{
			NPC_cancelSchedules(%client);
			return;
		}
	}

	function WeaponImage::onMount(%this, %obj, %slot)
	{
		Parent::onMount(%this, %obj, %slot);
		%c = %obj.client;
		if(!isObject(%c))
			return;
		if(%this.getName() $= ("color" @ %c.currentColor @ "SprayCanImage") || $NPC_PaintFX[%this.getName()] !$= "")
		{
			%c.paintcolor = %c.currentcolor; //a dumb solution for the unmount problem
			if(%c.NPC_BrushSize $= "")
				%c.NPC_BrushSize = 2;
			%c.NPC_displayHUD();
			if($Pref::Server::NewPaintCan::ShowBricks)
				commandToClient(%c, 'showBricks', 1);
			%control = %c.getControlObject();
			if(%control.getClassName() $= "Camera" && $Pref::Server::NewPaintCan::AdminOrbPainting)
			{
				%text = "<font:palatino linotype:86>\n<bitmap:base/client/ui/crossHair>";
				commandToClient(%c, 'CenterPrint', %text, 0);
			}
		}
		else
		{
			if($Pref::Server::NewPaintCan::DefaultToPaint)
				%c.NPC_Mode = 0;
			return;
		}
	}
	function WeaponImage::onUnMount(%this, %obj, %slot)
	{
		Parent::onUnMount(%this, %obj, %slot);
		%c = %obj.client;
		if(!isObject(%c))
			return;
		%color = %c.paintcolor; //if you use %c.currentcolor, it will not work with this
		if(%this.getName() $= ("color" @ %color @ "SprayCanImage") || $NPC_PaintFX[%this.getName()] !$= "")
		{
			cancel(%c.NPC_hudSch);
			%c.NPC_hudSch = "";
			commandToClient(%c, 'BottomPrint', "", 0, true);
			if($Pref::Server::NewPaintCan::ShowBricks)
				commandToClient(%c, 'showBricks', 0);
			%shape = %obj.PaintLaserShape;
			NPC_cancelSchedules(%c);
			if(isObject(%shape) && %shape.repeat)
			{
				%shape.NPC_disarmLaser();
				%obj.PaintLaserShape = "";
			}
			%control = %c.getControlObject();
			if(%control.getClassName() $= "Camera" && $Pref::Server::NewPaintCan::AdminOrbPainting)
				commandToClient(%c, 'ClearCenterPrint');
		}
		else
			return;
	}

	function GameConnection::setControlObject(%this, %object)
	{
		%previous = %this.getControlObject();
		Parent::setControlObject(%this, %object);
		if(!isObject(%p = %this.player))
			return;
		if(!isObject(%img = %p.getMountedImage(0)))
			return;
		if($Pref::Server::NewPaintCan::AdminOrbPainting && isObject(%p) && %img.item $= "SprayCan" && %img.getName() $= ("color" @ %this.currentColor @ "SprayCanImage") || $NPC_PaintFX[%img.getName()] !$= "")
		{
			if(%object && %object.getClassName() $= "Camera")
			{
				%text = "<font:palatino linotype:86>\n<lmargin:1><bitmap:base/client/ui/crossHair>";
				commandToClient(%this, 'CenterPrint', %text, 0);
			}
			else if(%previous && %previous.getClassName() $= "Camera")
				commandToClient(%this, 'ClearCenterPrint');
		}
	}

	function Observer::onTrigger(%this, %obj, %slot, %val)
	{
		%c = %obj.getControllingClient();
		if(!isObject(%p = %c.player))
		{
			Parent::onTrigger(%this, %obj, %slot, %val);
			return;
		}
		if(!isObject(%img = %p.getMountedImage(0)))
		{
			Parent::onTrigger(%this, %obj, %slot, %val);
			return;
		}
		if(isObject(%p) && !%obj.isOrbitMode() && !%obj.getControlObject() && %slot == 0 && %img.getName() $= ("color" @ %c.currentColor @ "SprayCanImage") || $NPC_PaintFX[%img.getName()] !$= "")
		{
			if(!$Pref::Server::NewPaintCan::AdminOrbPainting)
			{
				Parent::onTrigger(%this, %obj, %slot, %val);
				return;
			}
			if(%slot != 0)
				return;
			%shape = %p.paintLaserShape;
			if(isObject(%shape))
			{
				%p.paintLaserShape = "";
				%shape.repeat = "";
				%shape.NPC_fadeLaser(%shape.startPos, %shape.endPos, %shape.color, 1);
			}
			cancel(%p.PaintLaserRepeat);
			if(%c.NPC_isFillPaint)
			{
				Parent::onTrigger(%this, %obj, %slot, %val);
				return;
			}
			if(%val)
			{
				%text = "<font:palatino linotype:86>\n<lmargin:1><bitmap:base/client/ui/crossHair>";
				commandToClient(%c, 'CenterPrint', %text, 0);
				if($Sim::Time - %p.lastPaintLaserFire > 0.25)
				{
					NPC_FireLaser(%p, 0);
					%p.lastPaintLaserFire = $Sim::Time;
				}
				%p.PaintLaserRepeat = %p.schedule(250, "PaintLaserRepeat");
			}
			return;
		}
		Parent::onTrigger(%this, %obj, %slot, %val);
	}

	function Armor::onTrigger(%this, %obj, %slot, %val)
	{
		if(!isObject(%img = %obj.getMountedImage(0)))
		{
			Parent::onTrigger(%this, %obj, %slot, %val);
			return;
		}
		if(%img.item $= "SprayCan" && %img.getName() $= ("color" @ %obj.client.currentColor @ "SprayCanImage") || $NPC_PaintFX[%img.getName()] !$= "")
		{
			if(%slot != 0)
				return;
			%shape = %obj.paintLaserShape;
			if(isObject(%shape))
			{
				%obj.paintLaserShape = "";
				%shape.repeat = "";
				%shape.NPC_fadeLaser(%shape.startPos, %shape.endPos, %shape.color, 1);
			}
			cancel(%obj.paintLaserRepeat);
			if(%obj.client.NPC_isFillPaint)
			{
				Parent::onTrigger(%this, %obj, %slot, %val);
				return;
			}
			if(%val)
			{
				if($Sim::Time - %obj.lastPaintLaserFire > 0.25)
				{
					NPC_FireLaser(%obj, 0);
					%obj.lastPaintLaserFire = $Sim::Time;
				}
				%obj.paintLaserRepeat = %obj.schedule(250, "paintLaserRepeat");
			}
			return;
		}
		Parent::onTrigger(%this, %obj, %slot, %val);
	}

	function Armor::onRemove(%this, %obj)
	{
		if(isObject(%obj.PaintLaserShape))
			%obj.PaintLaserShape.delete();
		Parent::onRemove(%this, %obj);
	}

	function Armor::onDisabled(%this, %obj, %state)
	{
		%shape = %obj.PaintLaserShape;
		if(isObject(%shape) && %shape.repeat)
		{
			%shape.NPC_disarmLaser();
			%obj.PaintLaserShape = "";
		}
		Parent::onDisabled(%this, %obj, %state);
	}
	function GameConnection::onClientLeaveGame(%this)
	{
		NPC_cancelSchedules(%this);
		for(%i = %this.undostack.tail; %i < %this.undostack.head; %i++)
		{
			%t = %this.undostack.val[%i];
			if(getword(%t, 1)$= "PAINTFILL")
				getword(%t, 0).delete();
		}
		parent::onClientLeaveGame(%this);
	}		
	function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc)
	{
		cancel(%this.NPC_hudSch);
		clearBottomPrint(%this);
		NPC_cancelSchedules(%this);
		parent::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc);
	}		
	function GameConnection::spawnPlayer(%this)
	{
		NPC_cancelSchedules(%this);
		parent::spawnPlayer(%this);
	}
};
activatepackage(NewPaintCan);